## easyeffects 7.0.0

=== meson_options.txt ===
option(
  'devel',
  description: 'Whether to use development build mode, with .Devel appended to the application ID. For Flatpak builds, user data for development builds is stored separately from stable builds.',
  type: 'boolean',
  value: false
)

option(
  'enable-libportal',
  description: 'Whether to use libportal to handle autostart files.',
  type: 'boolean',
  value: false
)

## easyeffects 6.3.0

=== debian/changelog ===
easyeffects (6.3.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Add new build-dependency.

 -- Boyuan Yang <byang@debian.org>  Mon, 05 Sep 2022 16:02:56 -0400

easyeffects (6.2.8-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 30 Jul 2022 15:39:05 -0400

easyeffects (6.2.7-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 20 Jul 2022 14:21:07 -0400

easyeffects (6.2.6-3) unstable; urgency=medium

  * Downgrade "lsp-plugins-lv2 | lsp-plugins" to Recommends since
    they are not available on Debian armel.
  * debian/upstream/metadata: Added.

 -- Boyuan Yang <byang@debian.org>  Sat, 25 Jun 2022 15:38:15 -0400

easyeffects (6.2.6-2) unstable; urgency=medium

  * debian/rules: Add missing -latomic LDFLAGS on needed architectures.

 -- Boyuan Yang <byang@debian.org>  Fri, 24 Jun 2022 14:38:00 -0400

easyeffects (6.2.6-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 24 Jun 2022 09:03:10 -0400

easyeffects (6.2.5+git20220618.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1006277)

 -- Boyuan Yang <byang@debian.org>  Sat, 18 Jun 2022 17:43:17 -0400

=== debian/control ===
Source: easyeffects
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 appstream-util,
 debhelper-compat (= 13),
 desktop-file-utils,
 gettext,
 itstool,
 libadwaita-1-dev,
 libbs2b-dev,
 libebur128-dev,
 libfftw3-dev,
 libfmt-dev,
 libglib2.0-dev,
 libgtk-4-bin,
 libgtk-4-dev,
 liblilv-dev,
 libpipewire-0.3-dev,
 librubberband-dev,
 libsamplerate0-dev,
 libsigc++-3.0-dev,
 libsndfile-dev,
 libspeexdsp-dev,
 libtbb-dev,
 libzita-convolver-dev,
 lv2-dev,
 meson,
 nlohmann-json3-dev,
 pkg-config,
Standards-Version: 4.6.1
Homepage: https://github.com/wwmm/easyeffects
Vcs-Git: https://salsa.debian.org/debian/easyeffects.git
Vcs-Browser: https://salsa.debian.org/debian/easyeffects
Rules-Requires-Root: no

Package: easyeffects
Architecture: any
Depends:
 calf-plugins,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 lsp-plugins-lv2 | lsp-plugins,
Description: Audio effects for PipeWire applications
 This program provides various audio effects for PipeWire
 applications.
 .
 This application was formerly known as PulseEffects,
 but it was renamed to EasyEffects after it started to use
 GTK4 and GStreamer usage was replaced by native PipeWire filters.

## easyeffects 7.0.0

=== debian/changelog ===
easyeffects (7.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 02 Nov 2022 17:27:35 -0400

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
  libfftw3-dev,
  libfmt-dev,
  libglib2.0-dev,
+ libgsl-dev,
  libgtk-4-bin,
  libgtk-4-dev,
  liblilv-dev,
@@ -24,6 +25,7 @@
  libsamplerate0-dev,
  libsigc++-3.0-dev,
  libsndfile-dev,
+ libspeex-dev,
  libspeexdsp-dev,
  libtbb-dev,
  libzita-convolver-dev,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_LDFLAGS_MAINT_APPEND =
ifneq (,$(filter $(DEB_HOST_ARCH), armel mips mipsel sparc powerpc powerpcspe sh4 m68k ))
    DEB_LDFLAGS_MAINT_APPEND += -latomic
endif

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.md

## easyeffects 7.0.1

=== debian/changelog ===
easyeffects (7.0.1-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boyuan Yang <byang@debian.org>  Tue, 25 Jul 2023 19:11:43 -0400

easyeffects (7.0.1-1) unstable; urgency=medium

  * Upload to unstable.
  * Upload v7.0.1 for now, until 7.0.1 is backported to bookworm-backports.

 -- Boyuan Yang <byang@debian.org>  Sat, 17 Jun 2023 09:59:45 -0400

easyeffects (7.0.1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release (7.0.1).
  * Update Vcs links to use Multimedia Team namespace (see #1036461 for
    confirmation of Uploader's intent).
  * Add deactivated dh_auto_configure to disable rrnoise, which is not yet
    available in Debian (blocked by #980839, and looks like "toxic candy").
    This override will most likely need to be activated in 7.0.4 (possibly
    earlier).

 -- Nicholas D Steeves <sten@debian.org>  Mon, 29 May 2023 17:33:56 -0400

=== debian/rules ===
--- 
+++ 
@@ -22,5 +22,10 @@
 %:
 	dh $@
 
+# Needed for easyeffects 7.0.4
+# override_dh_auto_configure:
+#   # Blocked by #980839
+# 	dh_auto_configure -- -Denable-rnnoise=false
+
 override_dh_installchangelogs:
 	dh_installchangelogs -k CHANGELOG.md

## easyeffects 7.0.7

=== meson_options.txt ===
--- 
+++ 
@@ -1,6 +1,13 @@
 option(
   'devel',
   description: 'Whether to use development build mode, with .Devel appended to the application ID. For Flatpak builds, user data for development builds is stored separately from stable builds.',
+  type: 'boolean',
+  value: false
+)
+
+option(
+  'enable-mold',
+  description: 'Use the mold linker for speed, so mold must be installed. Option exists to allow easily enabling mold for Flatpak builds in GNOME Builder since CC_LD and CXX_LD cannot be reasonably used due to: https://gitlab.gnome.org/GNOME/gnome-builder/-/issues/1168',
   type: 'boolean',
   value: false
 )
@@ -11,3 +18,10 @@
   type: 'boolean',
   value: false
 )
+
+option(
+  'enable-rnnoise',
+  description: 'Whether to use RRNNoise for noise cancellation.',
+  type: 'boolean',
+  value: true
+)

=== debian/changelog ===
easyeffects (7.0.7-3) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Fri, 18 Aug 2023 21:47:56 -0400

easyeffects (7.0.7-3~exp1) experimental; urgency=medium

  * debian/patches/0001-Revert-lookup-of-tbb-library.patch: Use
    old method to lookup libtbb library to avoid FTBFS on
    32-bit platform due to different pkg-config name (tbb.pc vs.
    tbb32.pc).

 -- Boyuan Yang <byang@debian.org>  Fri, 18 Aug 2023 10:21:25 -0400

easyeffects (7.0.7-2) unstable; urgency=medium

  * Upload to unstable. (Closes: #1040946)
  * debian/control: Make binary package recommends mda-lv2 and
    zam-plugins. (Closes: #1023254)
  * debian/control: Drop useless build-dep on librubberband-dev.

 -- Boyuan Yang <byang@debian.org>  Wed, 16 Aug 2023 14:22:08 -0400

easyeffects (7.0.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    + Explicitly disable rnnoise (See 7.0.1-1~exp1 changes).
  * debian/control:
    + Add new build-dependency libsoundtouch-dev.
    + Drop build-dependency libspeex-dev, not needed by upstream.
    + Indicate that we need GTK 4 (>= 4.10).
  * debian/copyright: Correct project license to be GPL-3.0-or-later.

 -- Boyuan Yang <byang@debian.org>  Wed, 16 Aug 2023 14:07:28 -0400

=== debian/control ===
--- 
+++ 
@@ -18,14 +18,13 @@
  libglib2.0-dev,
  libgsl-dev,
  libgtk-4-bin,
- libgtk-4-dev,
+ libgtk-4-dev (>= 4.10),
  liblilv-dev,
  libpipewire-0.3-dev,
- librubberband-dev,
  libsamplerate0-dev,
  libsigc++-3.0-dev,
  libsndfile-dev,
- libspeex-dev,
+ libsoundtouch-dev,
  libspeexdsp-dev,
  libtbb-dev,
  libzita-convolver-dev,
@@ -33,10 +32,10 @@
  meson,
  nlohmann-json3-dev,
  pkg-config,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/wwmm/easyeffects
-Vcs-Git: https://salsa.debian.org/debian/easyeffects.git
-Vcs-Browser: https://salsa.debian.org/debian/easyeffects
+Vcs-Git: https://salsa.debian.org/multimedia-team/easyeffects.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/easyeffects
 Rules-Requires-Root: no
 
 Package: easyeffects
@@ -47,6 +46,8 @@
  ${shlibs:Depends},
 Recommends:
  lsp-plugins-lv2 | lsp-plugins,
+ mda-lv2,
+ zam-plugins,
 Description: Audio effects for PipeWire applications
  This program provides various audio effects for PipeWire
  applications.

## easyeffects 7.1.3

=== debian/changelog ===
easyeffects (7.1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 26 Nov 2023 10:59:30 -0500

easyeffects (7.1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: Dropped, merged upstream.
  * debian/control: Add new needed build-dependency ladspa-sdk.

 -- Boyuan Yang <byang@debian.org>  Fri, 03 Nov 2023 12:30:20 -0400

easyeffects (7.1.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Limit required lsp-plugin version (>= 1.2.10).
  * debian/patches/: Dropped old patches, merged upstream.
  * debian/patches/:
    + 0001-src-rnnoise.cpp-Guard-RNNoise-init_release-with-ENAB.patch:
      Add patch to fix FTBFS when rnnoise is not enabled.

 -- Boyuan Yang <byang@debian.org>  Wed, 13 Sep 2023 12:39:48 -0400

## easyeffects 7.1.6

=== meson_options.txt ===
--- 
+++ 
@@ -25,3 +25,10 @@
   type: 'boolean',
   value: true
 )
+
+option(
+  'enable-libcpp-workarounds',
+  description: 'Whether to enable code paths need for compilation on libc++.',
+  type: 'boolean',
+  value: false
+)

=== debian/changelog ===
easyeffects (7.1.6-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 08 Apr 2024 23:33:22 -0400

easyeffects (7.1.5-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 26 Mar 2024 15:15:29 -0400

easyeffects (7.1.4-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 05 Feb 2024 12:10:45 -0500

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  desktop-file-utils,
  gettext,
  itstool,
+ ladspa-sdk,
  libadwaita-1-dev,
  libbs2b-dev,
  libebur128-dev,
@@ -45,7 +46,7 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
- lsp-plugins-lv2 | lsp-plugins,
+ lsp-plugins-lv2 (>= 1.2.10) | lsp-plugins (>= 1.2.10),
  mda-lv2,
  zam-plugins,
 Description: Audio effects for PipeWire applications

=== debian/rules ===
--- 
+++ 
@@ -22,10 +22,12 @@
 %:
 	dh $@
 
-# Needed for easyeffects 7.0.4
-# override_dh_auto_configure:
-#   # Blocked by #980839
-# 	dh_auto_configure -- -Denable-rnnoise=false
+# Needed for easyeffects 7.0.4+
+override_dh_auto_configure:
+	# Blocked by #980839
+	dh_auto_configure -- \
+		-Denable-rnnoise=false \
+		$(NULL)
 
 override_dh_installchangelogs:
 	dh_installchangelogs -k CHANGELOG.md

## easyeffects 7.1.7

=== debian/changelog ===
easyeffects (7.1.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Bump Standards-Version to 4.7.0.
  * debian/control: Replace build-dependency pkg-config => pkgconf.
  * Merge changes from Ubuntu:

  [ Erich Eickmeyer ]
  * d/control: Demote calf-plugins to Recommends (LP: #2063879)
    For newly-installed packages, calf-plugins will not be installed
    if lsp-plugins-lv2 or lsp-plugins are available. If you have a
    special need for calf-plugins, please install it manually.

 -- Boyuan Yang <byang@debian.org>  Fri, 05 Jul 2024 15:16:35 -0400

=== debian/control ===
--- 
+++ 
@@ -32,8 +32,8 @@
  lv2-dev,
  meson,
  nlohmann-json3-dev,
- pkg-config,
-Standards-Version: 4.6.2
+ pkgconf,
+Standards-Version: 4.7.0
 Homepage: https://github.com/wwmm/easyeffects
 Vcs-Git: https://salsa.debian.org/multimedia-team/easyeffects.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/easyeffects
@@ -42,11 +42,10 @@
 Package: easyeffects
 Architecture: any
 Depends:
- calf-plugins,
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
- lsp-plugins-lv2 (>= 1.2.10) | lsp-plugins (>= 1.2.10),
+ lsp-plugins-lv2 (>= 1.2.10) | lsp-plugins (>= 1.2.10) | calf-plugins,
  mda-lv2,
  zam-plugins,
 Description: Audio effects for PipeWire applications

## easyeffects 7.1.9

=== debian/changelog ===
easyeffects (7.1.9-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 21 Sep 2024 20:14:51 -0400

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # package maintainers to append CFLAGS
 #export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 # package maintainers to append LDFLAGS
-export DEB_LDFLAGS_MAINT_APPEND
+export DEB_LDFLAGS_MAINT_APPEND =
 
 include /usr/share/dpkg/default.mk

## easyeffects 7.2.1

=== debian/changelog ===
easyeffects (7.2.1-3) unstable; urgency=medium

  * debian/control: Bump required libadwaita version.

 -- Boyuan Yang <byang@debian.org>  Sun, 24 Nov 2024 07:32:09 -0500

easyeffects (7.2.1-2) unstable; urgency=medium

  * debian/rules:
    + Fix typo introduced in 7.1.9-1 upload.
    + Unconditionally enable LTO build.

 -- Boyuan Yang <byang@debian.org>  Sat, 23 Nov 2024 21:04:51 -0500

easyeffects (7.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 23 Nov 2024 08:53:26 -0500

## easyeffects 7.2.3

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  gettext,
  itstool,
  ladspa-sdk,
- libadwaita-1-dev,
+ libadwaita-1-dev (>= 1.6),
  libbs2b-dev,
  libebur128-dev,
  libfftw3-dev,

## easyeffects 7.2.5

=== debian/changelog ===
easyeffects (7.2.5-2) unstable; urgency=medium

  * Depend on appstream instead of deprecated appstream-util

 -- Matthias Klumpp <mak@debian.org>  Mon, 27 Oct 2025 00:29:38 +0100

easyeffects (7.2.5-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 17 Aug 2025 16:29:11 -0400

easyeffects (7.2.3-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 08 Jan 2025 18:34:12 -0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
- appstream-util,
+ appstream,
  debhelper-compat (= 13),
  desktop-file-utils,
  gettext,
@@ -33,11 +33,18 @@
  meson,
  nlohmann-json3-dev,
  pkgconf,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/wwmm/easyeffects
 Vcs-Git: https://salsa.debian.org/multimedia-team/easyeffects.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/easyeffects
 Rules-Requires-Root: no
+Description: Audio effects for PipeWire applications
+ This program provides various audio effects for PipeWire
+ applications.
+ .
+ This application was formerly known as PulseEffects,
+ but it was renamed to EasyEffects after it started to use
+ GTK4 and GStreamer usage was replaced by native PipeWire filters.
 
 Package: easyeffects
 Architecture: any
@@ -48,10 +55,5 @@
  lsp-plugins-lv2 (>= 1.2.10) | lsp-plugins (>= 1.2.10) | calf-plugins,
  mda-lv2,
  zam-plugins,
-Description: Audio effects for PipeWire applications
- This program provides various audio effects for PipeWire
- applications.
- .
- This application was formerly known as PulseEffects,
- but it was renamed to EasyEffects after it started to use
- GTK4 and GStreamer usage was replaced by native PipeWire filters.
+Description: ${source:Synopsis}
+ ${source:Extended-Description}

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # export DH_VERBOSE=1
 
 # see FEATURE AREAS in dpkg-buildflags(1)
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
 
 DEB_LDFLAGS_MAINT_APPEND =
 ifneq (,$(filter $(DEB_HOST_ARCH), armel mips mipsel sparc powerpc powerpcspe sh4 m68k ))
@@ -15,7 +15,7 @@
 # package maintainers to append CFLAGS
 #export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 # package maintainers to append LDFLAGS
-export DEB_LDFLAGS_MAINT_APPEND =
+export DEB_LDFLAGS_MAINT_APPEND
 
 include /usr/share/dpkg/default.mk

## easyeffects 8.0.8+ds

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.28)

project(easyeffects VERSION 8.0.8 LANGUAGES CXX C)

set(APPLICATION_DOMAIN "easyeffects")
set(COMPONENT_NAME "easyeffects")
set(ORGANIZATION_NAME "WWMM")
set(ORGANIZATION_DOMAIN "com.github.wwmm")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

set(QT_MAJOR_VERSION 6)

set(QT_QML_GENERATE_QMLLS_INI ON)

option(ENABLE_DEVEL "Whether to use development build mode, with .Devel appended to the application ID. For Flatpak builds, user data for development builds is stored separately from stable builds." OFF)
option(ENABLE_RNNOISE "Whether to use RRNNoise for noise cancellation" ON)
option(ENABLE_LIBPORTAL "Use libportal. At this moment libportal is only used in Flatpak builds (requires libportal and libportal-qt6)" OFF)
option(ENABLE_LIBCPP_WORKAROUNDS "Enabled Workarounds for systems that use libc++ instead of stdc++" OFF)
option(ENABLE_SANITIZER "Enable the compiler's sanitizer" OFF)

if(ENABLE_DEVEL)
    message(STATUS "Using development build mode with .Devel appended to the application ID.")
    set(APPLICATION_ID "com.github.wwmm.easyeffects.Devel")
    set(APPLICATION_NAME "Easy Effects (Devel)")
else()
    message(STATUS "Using stable build mode with the standard application ID")
    set(APPLICATION_ID "com.github.wwmm.easyeffects")
    set(APPLICATION_NAME "Easy Effects")
endif()

find_package(ECM REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMFindQmlModule)
include(ECMQmlModule)

find_package(Qt${QT_MAJOR_VERSION} REQUIRED NO_MODULE COMPONENTS
    Core
    DBus
    Graphs
    Gui
    Network
    Qml
    Quick
    QuickControls2
    Widgets
)

find_package(KF6 REQUIRED COMPONENTS
    ColorScheme
    Config
    ConfigWidgets
    CoreAddons
    I18n
    IconThemes
    Kirigami
    KirigamiAddons
    QQC2DesktopStyle
)

ecm_find_qmlmodule(org.kde.kirigami REQUIRED)

qt_policy(SET QTP0001 NEW)

ki18n_install(po)

find_package(Threads REQUIRED)
find_package(PkgConfig REQUIRED)
find_package(TBB REQUIRED)
find_package(GSL REQUIRED)
# find_package(SoundTouch REQUIRED) # As of SoundTouch 2.4.0 its cmake files are bugged

pkg_check_modules(LIBPIPEWIRE libpipewire-0.3>=1.0.6 IMPORTED_TARGET REQUIRED)
pkg_check_modules(LIBLILV lilv-0>=0.24 IMPORTED_TARGET REQUIRED)
pkg_check_modules(LIBEBUR128 libebur128>=1.2.6 IMPORTED_TARGET REQUIRED)
pkg_check_modules(LIBFFTW3 fftw3 IMPORTED_TARGET REQUIRED)
pkg_check_modules(LIBFFTW3f fftw3f IMPORTED_TARGET REQUIRED)
pkg_check_modules(LIBSPEEXDSP speexdsp IMPORTED_TARGET REQUIRED)
pkg_check_modules(LIBNLOHMANNJSON nlohmann_json IMPORTED_TARGET REQUIRED)
pkg_check_modules(LIBMYSOFA libmysofa IMPORTED_TARGET REQUIRED)
pkg_check_modules(LIBGSL gsl IMPORTED_TARGET REQUIRED)
pkg_check_modules(LIBBS2B libbs2b IMPORTED_TARGET REQUIRED)
pkg_check_modules(LIBSNDFILE sndfile IMPORTED_TARGET REQUIRED)
pkg_check_modules(LIBRNNOISE rnnoise IMPORTED_TARGET)
pkg_check_modules(LIBSOUNDTOUCH soundtouch IMPORTED_TARGET REQUIRED)
pkg_check_modules(LIBPORTAL libportal IMPORTED_TARGET)
pkg_check_modules(LIBPORTALQT libportal-qt6 IMPORTED_TARGET)
pkg_check_modules(LIBWEBRTC webrtc-audio-processing-2 IMPORTED_TARGET REQUIRED)

file(GLOB KCFG_FILES ${PROJECT_SOURCE_DIR}/src/contents/kcfg/*.kcfg)
file(GLOB KCFGC_FILES ${PROJECT_SOURCE_DIR}/src/contents/kcfg/*.kcfgc)

find_library(LIBZITACONVOLVER NAMES zita-convolver)
find_path(LIBZITACONVOLVER_INCLUDE_DIRS NAMES zita-convolver.h)

add_subdirectory(src)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
easyeffects (8.0.8+ds-1) unstable; urgency=medium

  * New upstream version 8.0.8
  * debian/control:
    - Add myself to Uploaders (Closes: #1121787)
    - Drop RRR: no
  * debian/: Update for easyeffects 8.0.x
    - Migrate to Qt6 dependencies
    - Remove Gtk 4 dependencies
    - Build with cmake
  * debian/: Build without webrtc-audio-processing
  * debian/copyright:
    - Update for 8.0.x
    - Repack to remove pre-built website
  * debian/watch: Migrate to version 5

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 20 Dec 2025 01:37:58 +0100

easyeffects (7.2.5-3) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See #1121787)

 -- Boyuan Yang <byang@debian.org>  Tue, 02 Dec 2025 13:32:22 -0500

=== debian/control ===
Source: easyeffects
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Sebastian Ramacher <sramacher@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-qmldeps,
 cmake,
 extra-cmake-modules,
 gettext,
 itstool,
 kirigami-addons-dev,
 ladspa-sdk,
 libbs2b-dev,
 libebur128-dev,
 libfftw3-dev,
 libfmt-dev,
 libgsl-dev,
 libkf6colorscheme-dev,
 libkf6config-dev,
 libkf6configwidgets-dev,
 libkf6coreaddons-dev,
 libkf6i18n-dev,
 libkf6iconthemes-dev,
 libkf6qqc2desktopstyle-dev,
 libkirigami-dev,
 liblilv-dev,
 libmysofa-dev,
 libpipewire-0.3-dev,
 libsamplerate0-dev,
 libsndfile-dev,
 libsoundtouch-dev,
 libspeexdsp-dev,
 libtbb-dev,
 libzita-convolver-dev,
 lv2-dev,
 ninja-build,
 nlohmann-json3-dev,
 pkgconf,
 qt6-base-dev,
 qt6-base-private-dev,
 qt6-declarative-dev,
 qt6-graphs-dev,
 qt6-quick3d-dev,
Standards-Version: 4.7.2
Homepage: https://github.com/wwmm/easyeffects
Vcs-Git: https://salsa.debian.org/multimedia-team/easyeffects.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/easyeffects

Package: easyeffects
Architecture: any
Depends:
 ${misc:Depends},
 ${qml6:Depends},
 ${shlibs:Depends},
Recommends:
 lsp-plugins-lv2 (>= 1.2.10) | lsp-plugins (>= 1.2.10) | calf-plugins,
 mda-lv2,
 zam-plugins,
Description: Audio effects for PipeWire applications
 This program provides various audio effects for PipeWire
 applications.
 .
 This application was formerly known as PulseEffects,
 but it was renamed to EasyEffects after it started to use
 GTK4 and GStreamer usage was replaced by native PipeWire filters.

=== debian/rules ===
#!/usr/bin/make -f

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

include /usr/share/dpkg/default.mk

%:
	dh $@ -Scmake+ninja

# Needed for easyeffects 7.0.4+
override_dh_auto_configure:
	# Blocked by #980839
	dh_auto_configure -- \
		-DENABLE_RNNOISE=0
		$(NULL)

=== debian/watch ===
Version: 5

Template: GitHub
Owner: wwmm
Project: easyeffects
Repack: yes
Repacksuffix: +ds

## easyeffects 8.0.9+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.28)
 
-project(easyeffects VERSION 8.0.8 LANGUAGES CXX C)
+project(easyeffects VERSION 8.0.9 LANGUAGES CXX C)
 
 set(APPLICATION_DOMAIN "easyeffects")
 set(COMPONENT_NAME "easyeffects")

=== src/CMakeLists.txt ===
configure_file(config.h.in config.h @ONLY)

add_subdirectory(contents)

add_executable(easyeffects)

kde_target_enable_exceptions(easyeffects PRIVATE)

kconfig_add_kcfg_files(easyeffects GENERATE_MOC ${KCFGC_FILES})

# install(FILES ${KCFG_FILES} DESTINATION ${KDE_INSTALL_KCFGDIR})

set_source_files_properties(contents/ui/Validators.qml
    PROPERTIES QT_QML_SINGLETON_TYPE TRUE)

qt_policy(SET QTP0004 NEW)

qt_add_qml_module(easyeffects
    URI ee.ui
    VERSION ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}
    SOURCES
        presets_list_model.cpp
        presets_list_model.hpp
        units.hpp
    QML_FILES
        contents/ui/AboutPage.qml
        contents/ui/Autogain.qml
        contents/ui/BassEnhancer.qml
        contents/ui/BassLoudness.qml
        contents/ui/BlocklistDialog.qml
        contents/ui/Compressor.qml
        contents/ui/Convolver.qml
        contents/ui/ConvolverImpulseDialog.qml
        contents/ui/ConvolverSofaDialog.qml
        contents/ui/Crossfeed.qml
        contents/ui/Crystalizer.qml
        contents/ui/CrystalizerBand.qml
        contents/ui/Deesser.qml
        contents/ui/Delay.qml
        contents/ui/DeepFilterNet.qml
        contents/ui/DelegateClientsList.qml
        contents/ui/DelegateModulesList.qml
        contents/ui/DelegatePluginsList.qml
        contents/ui/DelegateStreamsList.qml
        contents/ui/EchoCanceller.qml
        contents/ui/EeCard.qml
        contents/ui/EeChart.qml
        contents/ui/EeAudioLevel.qml
        contents/ui/EeInputOutputGain.qml
        contents/ui/EeListSectionHeader.qml
        contents/ui/EeProgressBar.qml
        contents/ui/EeSpinBox.qml
        contents/ui/EeSwitch.qml
        contents/ui/Equalizer.qml
        contents/ui/EqualizerBand.qml
        contents/ui/EqualizerBandMenu.qml
        contents/ui/Exciter.qml
        contents/ui/Expander.qml
        contents/ui/Filter.qml
        contents/ui/Gate.qml
        contents/ui/LevelMeter.qml
        contents/ui/Limiter.qml
        contents/ui/Loudness.qml
        contents/ui/Maximizer.qml
        contents/ui/MultibandCompressor.qml
        contents/ui/MultibandGate.qml
        contents/ui/Main.qml
        contents/ui/MenuAddPlugins.qml
        contents/ui/PageStreamsEffects.qml
        contents/ui/Pitch.qml
        contents/ui/PipeWirePage.qml
        contents/ui/PluginNotAvailable.qml
        contents/ui/PreferencesSheet.qml
        contents/ui/LspPreMixDialog.qml
        contents/ui/PresetsDialog.qml
        contents/ui/PresetsAutoloadPage.qml
        contents/ui/PresetsLocalPage.qml
        contents/ui/PresetsCommunityPage.qml
        contents/ui/Reverb.qml
        contents/ui/RNNoise.qml
        contents/ui/ShortcutsSheet.qml
        contents/ui/Speex.qml
        contents/ui/StereoTools.qml
        contents/ui/Validators.qml
        contents/ui/Common.js
)

# The module definitions below are to help the qml linter

qt_add_qml_module(ee_tags_plugin_name
    URI ee.tags.plugin.name
    VERSION ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}
)

qt_add_qml_module(ee_pipewire
    URI ee.pipewire
    VERSION ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}
)

qt_add_qml_module(ee_database
    URI ee.database
    VERSION ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}
)

qt_add_qml_module(ee_presets
    URI ee.presets
    VERSION ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}
)

qt_add_qml_module(ee_pipeline
    URI ee.pipeline
    VERSION ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}
)

qt_add_qml_module(ee_autostart
    URI ee.autostart
    VERSION ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}
)

target_sources(easyeffects PRIVATE
    autogain.cpp
    autogain_preset.cpp
    autostart.cpp
    bass_enhancer.cpp
    bass_enhancer_preset.cpp
    bass_loudness.cpp
    bass_loudness_preset.cpp
    command_line_parser.cpp
    compressor.cpp
    compressor_preset.cpp
    convolver.cpp
    convolver_kernel_fft.cpp
    convolver_kernel_manager.cpp
    convolver_preset.cpp
    convolver_zita.cpp
    crossfeed.cpp
    crossfeed_preset.cpp
    crystalizer.cpp
    crystalizer_preset.cpp
    db_manager.cpp
    delay.cpp
    delay_preset.cpp
    deepfilternet.cpp
    deepfilternet_preset.cpp
    deesser.cpp
    deesser_preset.cpp
    echo_canceller.cpp
    echo_canceller_preset.cpp
    effects_base.cpp
    equalizer.cpp
    equalizer_apo.cpp
    equalizer_preset.cpp
    exciter.cpp
    exciter_preset.cpp
    expander.cpp
    expander_preset.cpp
    filter.cpp
    filter_preset.cpp
    fir_filter_bandpass.cpp
    fir_filter_base.cpp
    fir_filter_highpass.cpp
    fir_filter_lowpass.cpp
    gate.cpp
    gate_preset.cpp
    global_shortcuts.cpp
    kconfig_base_ee.cpp
    kcolor_manager.cpp
    ladspa_wrapper.cpp
    level_meter.cpp
    level_meter_preset.cpp
    limiter.cpp
    limiter_preset.cpp
    local_client.cpp
    local_server.cpp
    loudness.cpp
    loudness_preset.cpp
    lv2_ui.cpp
    lv2_wrapper.cpp
    main.cpp
    maximizer.cpp
    maximizer_preset.cpp
    multiband_compressor.cpp
    multiband_compressor_preset.cpp
    multiband_gate.cpp
    multiband_gate_preset.cpp
    output_level.cpp
    pitch.cpp
    pitch_preset.cpp
    plugin_base.cpp
    plugin_preset_base.cpp
    presets_autoload_manager.cpp
    presets_community_manager.cpp
    presets_directory_manager.cpp
    presets_irs_manager.cpp
    presets_rnnoise_manager.cpp
    presets_manager.cpp
    presets_list_model.cpp
    pw_manager.cpp
    pw_client_manager.cpp
    pw_device_manager.cpp
    pw_link_manager.cpp
    pw_metadata_manager.cpp
    pw_module_manager.cpp
    pw_node_manager.cpp
    pw_model_clients.cpp
    pw_model_modules.cpp
    pw_model_nodes.cpp
    resampler.cpp
    reverb.cpp
    reverb_preset.cpp
    rnnoise.cpp
    rnnoise_preset.cpp
    spectrum.cpp
    speex.cpp
    speex_preset.cpp
    stereo_tools.cpp
    stereo_tools_preset.cpp
    stream_input_effects.cpp
    stream_output_effects.cpp
    tags_plugin_name.cpp
    test_signals.cpp
    util.cpp
)

target_include_directories(easyeffects SYSTEM PRIVATE
    ${LIBZITACONVOLVER_INCLUDE_DIRS}
)

target_link_libraries(easyeffects PRIVATE
    KF6::ColorScheme
    KF6::ConfigCore
    KF6::ConfigGui
    KF6::CoreAddons
    KF6::I18n
    KF6::IconThemes
    Qt::Core
    Qt::DBus
    Qt::Gui
    Qt::Graphs
    Qt::Network
    Qt::Qml
    Qt::Quick
    Qt::QuickControls2
    Qt::Widgets
    TBB::tbb
    GSL::gsl
    GSL::gslcblas
    #SoundTouch::SoundTouch # As of SoundTouch 2.4.0 its cmake files are bugged
    PkgConfig::LIBPIPEWIRE
    PkgConfig::LIBLILV
    PkgConfig::LIBEBUR128
    PkgConfig::LIBFFTW3
    PkgConfig::LIBFFTW3f
    PkgConfig::LIBSPEEXDSP
    PkgConfig::LIBNLOHMANNJSON
    PkgConfig::LIBGSL
    PkgConfig::LIBBS2B
    PkgConfig::LIBSNDFILE
    PkgConfig::LIBSOUNDTOUCH
    PkgConfig::LIBWEBRTC
    PkgConfig::LIBMYSOFA
    ${LIBZITACONVOLVER}
)

target_compile_definitions(easyeffects PRIVATE QT_NO_KEYWORDS=1)
# target_compile_definitions(easyeffects PRIVATE QT_NO_KEYWORDS=1 QT_QML_DEBUG=1)

if(ENABLE_SANITIZER)
    MESSAGE(STATUS "Enabling the compiler's sanitizer")
    target_compile_options(easyeffects PRIVATE "-fsanitize=address")
    target_link_options(easyeffects PRIVATE "-fsanitize=address")
endif(ENABLE_SANITIZER)

if(ENABLE_RNNOISE)
    MESSAGE(STATUS "Enabling rnnoise")
    target_compile_definitions(easyeffects PRIVATE ENABLE_RNNOISE=1)
    target_link_libraries(easyeffects PRIVATE PkgConfig::LIBRNNOISE)
endif(ENABLE_RNNOISE)

if(ENABLE_LIBPORTAL)
    MESSAGE(STATUS "Flatpak build")
    target_compile_definitions(easyeffects PRIVATE ENABLE_LIBPORTAL=1)
    target_link_libraries(easyeffects PRIVATE PkgConfig::LIBPORTAL PkgConfig::LIBPORTALQT)
endif(ENABLE_LIBPORTAL)

if(ENABLE_LIBCPP_WORKAROUNDS)
    MESSAGE(STATUS "Enabling workarounds for lib++ systems")
    target_compile_definitions(easyeffects PRIVATE ENABLE_LIBCPP_WORKAROUNDS=1)
endif(ENABLE_LIBCPP_WORKAROUNDS)

install(TARGETS easyeffects ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
easyeffects (8.0.9+ds-1) unstable; urgency=medium

  * New upstream version 8.0.9+ds
  * debian/watch: Add Dversion-Mangle to strip +ds for version checks
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 29 Dec 2025 21:54:17 +0100

=== debian/rules ===
--- 
+++ 
@@ -14,4 +14,3 @@
 	dh_auto_configure -- \
 		-DENABLE_RNNOISE=0
 		$(NULL)
-

## easyeffects 8.1.0+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.28)
 
-project(easyeffects VERSION 8.0.9 LANGUAGES CXX C)
+project(easyeffects VERSION 8.1.0 LANGUAGES CXX C)
 
 set(APPLICATION_DOMAIN "easyeffects")
 set(COMPONENT_NAME "easyeffects")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,9 @@
 
 # install(FILES ${KCFG_FILES} DESTINATION ${KDE_INSTALL_KCFGDIR})
 
-set_source_files_properties(contents/ui/Validators.qml
+set_source_files_properties(
+    contents/ui/EeMetersReset.qml
+    contents/ui/Validators.qml
     PROPERTIES QT_QML_SINGLETON_TYPE TRUE)
 
 qt_policy(SET QTP0004 NEW)
@@ -33,6 +35,7 @@
         contents/ui/ConvolverImpulseDialog.qml
         contents/ui/ConvolverSofaDialog.qml
         contents/ui/Crossfeed.qml
+        contents/ui/Crusher.qml
         contents/ui/Crystalizer.qml
         contents/ui/CrystalizerBand.qml
         contents/ui/Deesser.qml
@@ -48,6 +51,7 @@
         contents/ui/EeAudioLevel.qml
         contents/ui/EeInputOutputGain.qml
         contents/ui/EeListSectionHeader.qml
+        contents/ui/EeMetersReset.qml
         contents/ui/EeProgressBar.qml
         contents/ui/EeSpinBox.qml
         contents/ui/EeSwitch.qml
@@ -135,6 +139,8 @@
     convolver_zita.cpp
     crossfeed.cpp
     crossfeed_preset.cpp
+    crusher.cpp
+    crusher_preset.cpp
     crystalizer.cpp
     crystalizer_preset.cpp
     db_manager.cpp

=== debian/changelog ===
easyeffects (8.1.0+ds-1) unstable; urgency=medium

  * New upstream version 8.1.0+ds
  * debian/copyright: Bump copyright years

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 20 Jan 2026 21:16:17 +0100

=== debian/control ===
--- 
+++ 
@@ -44,7 +44,7 @@
  qt6-declarative-dev,
  qt6-graphs-dev,
  qt6-quick3d-dev,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/wwmm/easyeffects
 Vcs-Git: https://salsa.debian.org/multimedia-team/easyeffects.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/easyeffects

## easyeffects 8.1.2+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.28)
 
-project(easyeffects VERSION 8.1.0 LANGUAGES CXX C)
+project(easyeffects VERSION 8.1.2 LANGUAGES CXX C)
 
 set(APPLICATION_DOMAIN "easyeffects")
 set(COMPONENT_NAME "easyeffects")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -86,6 +86,7 @@
         contents/ui/Speex.qml
         contents/ui/StereoTools.qml
         contents/ui/Validators.qml
+        contents/ui/VoiceSuppressor.qml
         contents/ui/Common.js
 )
 
@@ -226,6 +227,8 @@
     tags_plugin_name.cpp
     test_signals.cpp
     util.cpp
+    voice_suppressor.cpp
+    voice_suppressor_preset.cpp
 )
 
 target_include_directories(easyeffects SYSTEM PRIVATE

=== debian/changelog ===
easyeffects (8.1.2+ds-1) unstable; urgency=medium

  * New upstream version 8.1.2+ds
  * debian/patches: Refresh patches

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 04 Feb 2026 21:09:23 +0100

=== debian/watch ===
--- 
+++ 
@@ -5,3 +5,4 @@
 Project: easyeffects
 Repack: yes
 Repacksuffix: +ds
+Dversion-Mangle: auto
